Attribute VB_Name = "modDefinitions"
Option Explicit
Option Compare Binary
Option Base 0


' Maximum of engine options
Public Const MaxOptions As Integer = 15


' A single cmdline parameter
Public Type ParameterType
    
    Description As String
    Parameter As String
    
End Type


' A single type of file
Public Type FileType
    
    Description As String
    Extension As String
    
End Type


' Engine definition struct
Public Type EngineType
    
    Name As String
    Executable As String
    DemoExt As String
    
    FileTypes() As FileType
    Parameters() As ParameterType
    
    ExecutablePath As String
    Options(MaxOptions) As Boolean
    
End Type


' IWAD definition struct
Public Type IWadType

    Name As String
    FileName As String

End Type


' All engines
Public Engines() As EngineType
Public nEngines As Long

' All IWADs
Public IWADs() As IWadType
Public nIWADs As Long

' Selected files for Quick Game
Public FileList As New clsStringArray

' Program configuration
Public Config As clsConfiguration

' The filenames (key) and descriptions (item) of IWADs that can be autodetected
Public DetectIWADs As New clsConfiguration
